package com.microservices.dss.projects.domain.vo;

public class SingleProjectResourcesDataVo {

    private int totalWatcher;
    private int totalPraise;
    private int totalForked;
    private int totalVisits;

    private int[] newDeveloperNum;
    private int[] newCodeSubmissionTimes;
    private int[] newPullRequestTimes;
    private int[] newCommentTimes;
    private int[] newIssueNum;
    private int[] newForkNum;
    private int[] newWatchNum;
    private int[] newProjectTrendNum;


    private String[] weeklyDates;


    public int getTotalWatcher() {
        return totalWatcher;
    }

    public void setTotalWatcher(int totalWatcher) {
        this.totalWatcher = totalWatcher;
    }

    public int getTotalPraise() {
        return totalPraise;
    }

    public void setTotalPraise(int totalPraise) {
        this.totalPraise = totalPraise;
    }

    public int getTotalForked() {
        return totalForked;
    }

    public void setTotalForked(int totalForked) {
        this.totalForked = totalForked;
    }

    public int getTotalVisits() {
        return totalVisits;
    }

    public void setTotalVisits(int totalVisits) {
        this.totalVisits = totalVisits;
    }

    public int[] getNewDeveloperNum() {
        return newDeveloperNum;
    }

    public void setNewDeveloperNum(int[] newDeveloperNum) {
        this.newDeveloperNum = newDeveloperNum;
    }

    public int[] getNewCodeSubmissionTimes() {
        return newCodeSubmissionTimes;
    }

    public void setNewCodeSubmissionTimes(int[] newCodeSubmissionTimes) {
        this.newCodeSubmissionTimes = newCodeSubmissionTimes;
    }

    public int[] getNewPullRequestTimes() {
        return newPullRequestTimes;
    }

    public void setNewPullRequestTimes(int[] newPullRequestTimes) {
        this.newPullRequestTimes = newPullRequestTimes;
    }

    public int[] getNewCommentTimes() {
        return newCommentTimes;
    }

    public void setNewCommentTimes(int[] newCommentTimes) {
        this.newCommentTimes = newCommentTimes;
    }

    public int[] getNewIssueNum() {
        return newIssueNum;
    }

    public void setNewIssueNum(int[] newIssueNum) {
        this.newIssueNum = newIssueNum;
    }

    public int[] getNewForkNum() {
        return newForkNum;
    }

    public void setNewForkNum(int[] newForkNum) {
        this.newForkNum = newForkNum;
    }

    public String[] getWeeklyDates() {
        return weeklyDates;
    }

    public void setWeeklyDates(String[] weeklyDates) {
        this.weeklyDates = weeklyDates;
    }

    public int[] getNewWatchNum() {
        return newWatchNum;
    }

    public void setNewWatchNum(int[] newWatchNum) {
        this.newWatchNum = newWatchNum;
    }

    public int[] getNewProjectTrendNum() {
        return newProjectTrendNum;
    }

    public void setNewProjectTrendNum(int[] newProjectTrendNum) {
        this.newProjectTrendNum = newProjectTrendNum;
    }
}
